## Macro SOAP_XML_SET_STRUCT_NAME

SOAP_XML_SET_STRUCT_NAME — A macro to assign a name to a struct used in serialization.

## Synopsis

    // In header: </build/libzeep-8SPbhu/libzeep-3.0.5/zeep/xml/serialize.hpp>

    SOAP_XML_SET_STRUCT_NAME(s)

## Description

By default, libzeep uses the typeid(s).name() as the name for an element. That's often not what is intented. Calling this macro will make sure the type name you used in your code will be used instead.

E.g., struct FindResult { ... } might end up with a mangled name in the schema. To use FindResult instead, call SOAP_XML_SET_STRUCT_NAME(FindResult);

An alternative is to call, which allows different schema and struct names: zeep::xml::struct_serializer<FindResult>::set_struct_name("FindResult");